function [spec,freq]=fourier(yout,T)
% Clculo del espectro de una seal
%
%   [spec,freq]=fourier(yout,T)
%   Entradas:
%     yout: seal muestreada, con periodo de muestreo constante
%     T:    periodo

% PROGRAMME POUR CALCULER LE SPECTRE D'UNE SIGNAL
%
% Entrees:
%  yout: signal echantillone (periode d'echantillonage constante
%  T:    periode

l=length(yout);

fourier=fft(yout);
temp=abs(fourier);

spec(1)=temp(1)/l;
spec(2:floor(l/2))=temp(floor(2:l/2))/l*2;

freq=0:1/T:(floor(l/2)-1)/T;

plot(freq,spec,'r')
xlabel('Frecuencia Hz')
ylabel('Seal')